Paycose Docs
Subscription
POST/subscriptions/{id}/preview

Create Subscriptions Preview

Request body: PreviewSubscriptionUpdateDTO

Responses: 200

Generated from the code contract; no hand-written description yet.

Request

Example

curl -X POST 'https://api.paycose.com/api/v1/app1/platform/wallet/subscriptions/{{id}}/preview' \
  -H 'Content-Type: application/json' \
  -d '{
  "line_items": [
    {
      "product_id": "<string>",
      "price_id": "<string>",
      "quantity": 0,
      "tax_rates": [
        "<string>"
      ],
      "metadata": {},
      "usage_gte": 0
    }
  ],
  "proration_behavior": "<string>"
}'

Headers

NameValue
Content-Typeapplication/json

Body

NameTypeValue
line_itemsarray[1]
proration_behaviorstring<string>
{
  "line_items": [
    {
      "product_id": "<string>",
      "price_id": "<string>",
      "quantity": 0,
      "tax_rates": [
        "<string>"
      ],
      "metadata": {},
      "usage_gte": 0
    }
  ],
  "proration_behavior": "<string>"
}

On this page